Skip to main content
`Ctrl`+`K`

# TSMonitorSolutionVTKCtxCreate

Create the monitor context to be used in `TSMonitorSolutionVTK()`

## Synopsis

    #include "petscts.h"
    PetscErrorCode TSMonitorSolutionVTKCtxCreate(const char *filenametemplate, TSMonitorVTKCtx *ctx)

Not collective

## Input Parameter

- filenametemplate - the template file name, e.g. foo-%03d.vts

## Output Parameter

- ctx - the monitor context

## Note

This function is normally used inside `TSSetFromOptions()` to pass the context created to `TSMonitorSet()` along with `TSMonitorSolutionVTK()`.

## See Also

TS: Scalable ODE and DAE Solvers, `TSMonitorSet()`, `TSMonitorSolutionVTK()`, `TSMonitorSolutionVTKDestroy()`

## Level

developer

## Location

src/ts/interface/tsmon.c

## Examples

src/ts/tutorials/ex30.c

Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages